#!/bin/sh
#                     COPYRIGHT FUJITSU LIMITED 2011
#
# Script Name: mpadoemsetup.sh
# Description:
#
# Usage      :
#      mpadoemsetup.sh
#
#

LOCALEDIR=/usr/share/locale
WORKPATH=`dirname ${0}`
BASEDIR_OEM=`eval cd ${WORKPATH}/..; pwd`

# Create symbolic link to the message catalog for "ja" locale
if [ -d ${LOCALEDIR}/ja/LC_MESSAGES ] ; then
  . /etc/sysconfig/i18n
  case "${LANG}" in
    "C") MSG_CODE=UTF-8 ;;
    "ja_JP.UTF-8") MSG_CODE=UTF-8 ;;
    "ja_JP.eucJP") MSG_CODE=eucJP ;;
    *) MSG_CODE=UTF-8 ;;
  esac
  ln -fs ${BASEDIR_OEM}/locale/ja_JP.${MSG_CODE}/MpAdmoms \
        ${LOCALEDIR}/ja/LC_MESSAGES/MpAdmoms
fi

# Create symbolic links to the message catalog of C
for LOCALE in C en_US ; do
  if [ -d ${LOCALEDIR}/${LOCALE}/LC_MESSAGES ] ; then
    ln -fs ${BASEDIR_OEM}/locale/C/MpAdmoms  \
          ${LOCALEDIR}/${LOCALE}/LC_MESSAGES/MpAdmoms
  fi
done

# Create symbolic links to the message catalog of EUC
for LOCALE in ja_JP.eucJP ja_JP ja_JP.EUC ja_JP.ujis ; do
  if [ -d ${LOCALEDIR}/${LOCALE}/LC_MESSAGES ] ; then
    ln -fs ${BASEDIR_OEM}/locale/ja_JP.eucJP/MpAdmoms \
          ${LOCALEDIR}/${LOCALE}/LC_MESSAGES/MpAdmoms
  fi
done

# Create symbolic links to the message catalog of UTF-8
for LOCALE in ja_JP.UTF-8 ; do
  if [ -d ${LOCALEDIR}/${LOCALE}/LC_MESSAGES ] ; then
    ln -fs ${BASEDIR_OEM}/locale/ja_JP.UTF-8/MpAdmoms \
          ${LOCALEDIR}/${LOCALE}/LC_MESSAGES/MpAdmoms
  fi
done

echo ""
echo "Setup Success."
echo ""

exit 0

